<?php

function permit_1(){
	if (!empty($_SESSION["glo_userid"]) &&!empty($_SESSION["glo_username"])) return true;
  else return false;
} 

function checklogin(){
  session_start();
  date_default_timezone_set('PRC');
  $new_time = time();  
  $onlinetime = $_SESSION['times']; 
  if($new_time-$onlinetime>'1200'){   
   session_destroy();//清除session中的值 
   return false;
  }else{  
   $_SESSION['times'] = time();  //及时更新时间,即用户有操作页面时，重新计算时间  
   return true;
  }  
}

function array_multi_search( $p_needle,$p_haystack ) 
{
if(!is_array($p_haystack)) return false;
if( in_array( $p_needle,$p_haystack ) ) 
{
return true;
}
foreach( $p_haystack as $row ) 
{
if( array_multi_search( $p_needle,$row ) ) 
{
return true;
}
}
return false;
}

?>